// Function to get URL parameters
function getUTMParameters() {  // Changed from getUrlParameters to getUTMParameters
    const urlParams = new URLSearchParams(window.location.search);
    return {
        utm_campaign: urlParams.get('utm_campaign') || 'not_set',
        utm_content: urlParams.get('utm_content') || 'not_set',
        utm_medium: urlParams.get('utm_medium') || 'not_set',
        utm_source: urlParams.get('utm_source') || 'not_set',
        subid: urlParams.get('subid') || 'not_set'
    };
}

let selectedDebtAmount = '';

$(document).ready(function () {
    console.log("URL Parameters:", getUTMParameters());
      // First question handler (15k threshold)
      $('.debt-button').on('click', function () {
          const debtAmount = $(this).data('debt');
          if (debtAmount === '15k') {
              selectedDebtAmount = '15k';
              $('#initial-content, #question-1, #floatingFooterButton').hide();
              $('#question-2').show();
          } else {
              $('#initial-content, #question-1, #floatingFooterButton').hide();
              $('#question-1b').show();
          }
      });
    // Second question handler (10k threshold)
    $('.debt-button-10k').on('click', function () {
        const debtAmount = $(this).data('debt');
        if (debtAmount === '10k') {
            selectedDebtAmount = '10k';
            $('#question-1b').hide();
            $('#question-2').show();
        } else {
            handleRedirect('-10k');
        }
    });

    // Payment question handler
    $('.payment-button').on('click', function () {
        const paymentStatus = $(this).data('payment');
        handleRedirect(selectedDebtAmount, paymentStatus);
    });
});

$(document).ready(function() {
    $('#floatingFooterButton').on('click', function() {
        handleRedirect('15k', 'yes');
    });
});

function handleRedirect(debtAmount, paymentStatus = null) {
    const params = getUTMParameters();
    
    if (debtAmount === '-10k') {
        window.location.href = 'https://debtrelief-programs.com/dq';
    } else {
        const queryString = Object.entries({
            ...params, 
            debt_amount: debtAmount,
            pay: paymentStatus
        })
            .map(([key, value]) => `${key}=${encodeURIComponent(value)}`)
            .join('&');
        window.location.href = `https://apply.debtrelief-programs.com/base2.php?${queryString}`;
    }
}

function startCountdown() {
    let timeLeft = 180; // 3 minutes in seconds
    const countdownElement = document.getElementById('countdown');
    
    const timer = setInterval(() => {
        const minutes = Math.floor(timeLeft / 60);
        const seconds = timeLeft % 60;
        
        countdownElement.textContent = `${minutes}:${seconds.toString().padStart(2, '0')}`;
            
        if (timeLeft === 0) {
            timeLeft = 180; // Reset timer when it hits zero
        } else {
            timeLeft--;
        }
    }, 1000);
}

// Start the countdown when the document is ready
$(document).ready(function() {
    startCountdown();
});